Subject: bug#12184: GNU Automake 1.12.2 - 4 tests FAIL on Solaris 10 Sparc

From: Dennis Clarke <[email-masked]>
Date: Tue, 14 Aug 2012 00:20:35 +0000 (GMT)

cc: [email-masked]

> On 08/13/2012 01:46 AM, Dennis Clarke wrote:
> > 
> > At least I can get results in one hour now.  :-\
> > 
> > [SNIP]
> >
> Same as before: the only actual failure is:
> 
>     FAIL: t/silent-many-generic
>     ===========================
> 
>    ...
>    + make
>    ld: fatal: file baz2.o: wrong ELF class: ELFCLASS32
>    ld: fatal: file processing errors. No output written to baz
>    make: Fatal error: Command failed for target `baz'
> 
> which seems to suggest your C++ linker has issues linking together
> objects generated by your C++ compilers with objects generated by
> your Fortran 90 compiler.  Could you try whether/how the same issue
> is present outside the Automake testsuite?

Am trying .. in the meantime I think the best I will see is : 

============================================================================
Testsuite summary for GNU Automake 1.12.2
============================================================================
# TOTAL: 2730
# PASS:  2459
# SKIP:  217
# XFAIL: 50
# FAIL:  4
# XPASS: 0
# ERROR: 0
============================================================================

So I am giving up on automake for now. However there is a bug or flaw in there somewhere however I don't know where. I was able to build plenty of other packages and even get the latest Apache and apr/apu built and running fine. 

So my thoughts are that I can do little until I have a decent bootstrap of GCC 4.7.1 and that won't happen quickly.  Getting away from Sun/Oracle Studio tools is the best advice here. Just avoid them. 

I am stuck with what I get in automake for at least a few days until I can come back to this. 

Dennis